libncursesada (6.3.20211021-11) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:32:46 +0100

libncursesada (6.3.20211021-10) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
    Build with gnat-13.  Rename library package with new SOversion.
    Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples} files and test
    dependencies now that the -dev package is unversioned.
  * Stop suggesting the removed -doc package
  * Update copyright years
  * Improve readability of debian/rules

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jan 2024 20:08:07 +0100

libncursesada (6.3.20211021-9) unstable; urgency=medium

  * Clean generated documentation. Closes: #1047433.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2023 10:36:19 +0000

libncursesada (6.3.20211021-8) unstable; urgency=medium

  * Break/Replace libncursesada since oldstable. Closes: #1034977.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:33:59 +0200

libncursesada (6.3.20211021-7) unstable; urgency=medium

  * Let -dev depend on libncurses-dev (dh-ada-library does not compute this).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 18:15:26 +0000

libncursesada (6.3.20211021-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:28:52 +0100

libncursesada (6.3.20211021-5) experimental; urgency=medium

  * Build with gcc-12 for experimental. Rename -dev package accordingly.
  * Adapt to dh-ada-library 8.2.
  * Refresh the HTML documentation. The result depends on the architecture,
    so remove the -doc package and store documentation into -dev.
  * Remove unversioned gnat from Build-Depends (keep it in Depends).
  * Override lintian source-is-missing: the HTML is generated from Ada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Nov 2022 20:03:52 +0000

libncursesada (6.3.20211021-4) unstable; urgency=medium

  * Require a GCC major version instead of a full match. Closes: #1016341.
  * Replace last usage of gnatgcc with gcc-MAJOR.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Aug 2022 20:35:40 +0000

libncursesada (6.3.20211021-3) unstable; urgency=medium

  * Closes: #1013479. Explicitly select the same compiler for Ada and C
    instead of relying on broken black magic in gprconfig-kb.
  * Bump Standards-Version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 26 Jun 2022 22:13:32 +0000

libncursesada (6.3.20211021-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:44:55 +0200

libncursesada (6.3.20211021-1) experimental; urgency=medium

  * Build new upstream release with GCC-11 for experimental.
    Rename -dev package accordingly.
  * Drop obsolete version restriction from Build-Depends.
  * Update Standards-Version.
  * Use unversioned debian_packaging.mk from gnat package.
  * Update upstream signing key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 18:00:48 +0000

libncursesada (6.2.20200212-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Replace CC (for C) with gnatgcc (for Ada).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:00:32 +0100

libncursesada (6.2.20200212-3) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev packages accordingly.
    Drop conflicts implied by the compiler change.
  * Explain problems in README.source instead of trying to teach d/watch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 May 2020 17:14:33 +0000

libncursesada (6.2.20200212-2) unstable; urgency=medium

  * Debhelper 13.
  * Drop obsolete misc:Pre-Depends for shared library package.
  * In project, add Linker_Options for future versions of dh-ada-library,
    and allow ADAFLAGS to override local settings.
  * Pass CFLAGS to Makefile when it builds the source generator.
  * Drop unused -a option to dh_auto_*.
  * Pass flags via the environment (fixing a typo hiding LDFLAGS in GPR_VARS).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 09 May 2020 16:20:02 +0000

libncursesada (6.2.20200212-1) unstable; urgency=medium

  * New upstream release. No need to rename the library package.
    The source checksums in .ali files have changed,
    rename -dev and Break/Replace previous one per Ada policy.
  * Fix homepage. Update copyright. Distribute gbp.conf.
  * Drop obsolete work-around for dh_installdocs.
  * Handle new generated but -indep example.
  * Simplify directories and variables affecting build and clean.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Apr 2020 10:37:59 +0000

libncursesada (6.1.20180127-5) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop redundant branch in Vcs-Git.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 12:29:56 +0100

libncursesada (6.1.20180127-4) experimental; urgency=medium

  * Rebuild with gcc-9. Rename lib and -dev packages accordingly.
    ALI version for -dev has no reason to repeat source version.
  * Debhelper 12 does not compress examples anymore.
  * Wrap and sort Build-Depends. Split -Arch and -Indep.
  * Standards-Version: 4.4.1. Rules-Requires-Root: no.
  * Move VCS to salsa.debian.org.
  * Enable all linker warnings.
  * Only include the used dpkg Makefile snippet.
  * Drop work-around for fixed #887390.
  * Hardcode major.minor in watch file in order to fix --download-current.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Dec 2019 12:03:09 +0100

libncursesada (6.1.20180127-3) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:03 +0200

libncursesada (6.1.20180127-2) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
    Drop obsolete Break/Replace with previous -dev packages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 16:08:00 +0200

libncursesada (6.1.20180127-1) unstable; urgency=medium

  * Rename packages per Ada policy, fixing previous upload.
    - ABI version for shared library.
    - ALI version for -dev. Break/Replace previous -dev per Ada policy.
  * New upstream release, only updating the build system.
  * Debhelper 11. Use level 10 for ./configure because of #887390.
  * Style: remove empty directories, replace FTP with HTTPS in watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 22:19:25 +0200

libncursesada (6.0.20170708-3) unstable; urgency=medium

  * Rebuild for libncurses6 transition.
  * Drop obsolete version restriction for dpkg-dev in Build-Dependencies.
  * Standards-Version 4.1.4.
  * Update URIs in VCS-Mtn and Homepage fields.
  * Add author from package/debian/copyright.
  * Increase verbosity of tests to ease debugging.
  * Update host name in watch file.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 13:42:31 +0200

libncursesada (6.0.20170708-2) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1. Priority: optional.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 20:38:53 +0200

libncursesada (6.0.20170708-1) experimental; urgency=medium

  * New upstream snapshot, built with gnat-7.
    Rename runtime and -dev binary packages per Ada policy.
    Drop work-around for unset ADAGEN_LDFLAGS, fixed upstream.
    Gnat-7 handles SOURCE_DATE_EPOCH without tricking timestamps.
  * Debhelper 10. Simplify update of autoconf stuff.
  * Standards-Version 4.0.0.
    HTTPS copyright format URL. Let -dev Suggest -doc.
  * Allow -doc to satisfy Multi-Arch foreign dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 13 Jul 2017 14:59:00 +0200

libncursesada (6.0.20150808-2) unstable; urgency=medium

  [ Adrian Bunk <bunk@stusta.de> ]
  * Build with latest dpkg requires PIE hardening flags. Closes: #844918.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2016 12:11:27 +0100

libncursesada (6.0.20150808-1) unstable; urgency=medium

  * New upstream release, built with gnat-6. Both imply
    a renaming of -dev and lib binary packages per Debian Ada policy.
  * Switch from gnatmake to gprbuild.
  * Set options without editing CFLAGS. Enable all hardening options but PIE.
    Move LDFLAGS before and LDLIBS after default library_options.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
    Remove related preinst script and lintian override.o
  * rules: - circumvent buggy setting for ACTUAL_LDFLAGS in Makefile.in.
    - build include/ncurses_def.h, now required by C sources.
    - simplify dh_compress override, removing mention of DEV_PKG.
  * watch: use same Debian versions than ncurses source package.
  * copyright: update, fill empty short license.
  * Standards-Version: 3.9.8 (no changes). Remove generated field Testsuite.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Jul 2016 22:40:11 +0200

libncursesada (5.9.20140726-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 18:20:56 +0200

libncursesada (5.9.20140726-1) unstable; urgency=medium

  * New upstream snapshot. Build with gnat-4.9. Closes: #749443, #755112.
    Library and -dev package renamed per Ada Policy.
    Removed patches, libncursesada2-dev.preinst (no file conflict anymore).
  * gpb.conf source/local-options: obsolete since switch to monotone.
  * Replace dh-autoreconf with lighter autotools-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Aug 2014 01:47:06 +0200

libncursesada (5.9.20110404-10) unstable; urgency=medium

  * patches/long64_int_32_big_endian_s390x: avoids a FTBFS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Jan 2014 21:09:01 +0100

libncursesada (5.9.20110404-9) unstable; urgency=medium

  * control, rules: remove Build-Depends: gprbuild, failing on mips/mipsel.
  * rules: run-tests target obsoleted by sadt from dev-scripts.
  * tests/link-with-shared: avoid depending on an actual terminal.
  * watch, upstream/signing-key.asc: let uscan check upstream binary.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 26 Jan 2014 11:35:24 +0100

libncursesada (5.9.20110404-8) unstable; urgency=low

  * tests, run-tests target in rules: autopkg-test specification update.
    XS-Testsuite header accordingly. Closes: #692666.
  * clean: integrated to rules for clarity.
  * Maintainer, DM-Upload-Allowed, copyrights: use my debian address.
  * Build-Depends, rules, source/options: let dh-autoreconf handle autotools
    files. Upstream use a specific autoconf, packaged in Debian.
  * Standards-Version: 3.9.5 without changes.
  * copyright: adapt to machine-readable specification 1.0.
    Added section for install-sh specific license.
  * watch, rules: upstream tarball has been renamed tar.gz -> tgz.
  * rules: use gnatgcc instead of gcc to compile gen.c.
  * avoid_if_macro_when_macro_contains_cast.diff: Closes: #735753.
  * source/options: let dpkg use default compressor for debian.tar.
  * *.docs, *.preinst: clean previous /usr/share/doc symlinks.
    Build-Depend: dh-ada-library (>= 5.4) to avoid creating symlinks again.
    Move README.Debian to -dev per Ada policy.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Jan 2014 17:51:30 +0100

libncursesada (5.9.20110404-7) unstable; urgency=low

  * rules: cancel latest changes, gprbuild is needed via dh-ada-library
    anyway. Depend on gprbuild >= 2011-2 (Closes: #678907).
    Use pkg-config --libs instead of hard-coded list (this adds -ltinfo).
    Transmit hardening CPPFLAGS to project.
  * watch: slightly modified to let qa.debian.org show a green status.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 27 Jun 2012 09:40:14 +0200

libncursesada (5.9.20110404-6) unstable; urgency=low

  * Switched back from gprbuild to gnatmake to work around #673015 on
    kfreebsd-i386. Had to shortcut part of upstream build system and
    gnatmake call to gcc-shared.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 16 Jun 2012 08:24:17 +0200

libncursesada (5.9.20110404-5) unstable; urgency=low

  * Switched from ALDH mess to dh_ada_library.
  * README.Debian: short reference to Debian Ada Policy.
  * Created build dirs once and for all.
  * Standard-Version, compat: 3.9.3, 9 (no changes)
  * control: -dbg does not Pre-Depends: ${misc:Pre-Depends} for multiarch.
    -dev Depends: libncurses-dev
  * copyright: update.
  * patches:
    recompile_c_srcs_with_fpic.diff for dynamic version.
    respect_cflags_adaflags_ldflags.diff
  * source.lintian-overrides: a generated dependency is passed as substvar
    and not seen by lintian.
  * tests: explicit find instead of glob.
  * rules: removed unused ./configure parameter.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 17 May 2012 10:48:53 +0200

libncursesada (5.9.20110404-4) unstable; urgency=low

  * control: removed dependencies on ada-compiler virtual package.
  * rules: #641279 closed by debhelper 8.9.8, no work-around needed.
    Do not strip static archive.
    Added get-orig-source and run-tests targets.
  * README.Debian: in /usr/share, must not vary across architectures.
  * tests/link: corrected -v option.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 17 Feb 2012 20:47:17 +0100

libncursesada (5.9.20110404-3) unstable; urgency=low

  * Build with gnat-4.6. Closes: #642646.
  * Multi-arch support.
  * Upgrade to debhelper 8.9.7. dh_fixperms need to be overridden
    but only for build-arch.
  * dpkg-dev >= 1.16.1 (some source/local-options are now default,
    useful Makefile snippets for multiarch and ./configure)
  * copyright: DEP-5 compliant
  * patches: DEP-3 compliant
  * gprbuild should not set run time path
  * Due to ada-policy: -dbg and -doc package Suggest gnat, ada-compiler
    libncursesada1-dev -> libncursesada2-dev (soversion)
    libncursesada1 -> libncursesada2 (aliversion)
    libncursesada1-dbg -> libncursesada-dbg (debian version is enough)
    libncursesada-doc unchanged (debian version is enough)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 25 Sep 2011 20:52:24 +0200

libncursesada (5.9.20110404-2) unstable; urgency=low

  * patch: gen/gen.c to avoid FTBFS on big endian architectures.
  * control: depends on libncurses5, not on libncurses5w.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 08 May 2011 16:39:17 +0200

libncursesada (5.9.20110404-1) unstable; urgency=low

  * New upstream release.
  * ALDH.DEV_PKG.install: installed new C sources.
  * ALDH.DOC_PKG.docs: selected installed files.
  * ALDH.README.Debian: corrected my email address.
  * README.source: removed (upstream is now a normal tarball).
  * copyright: link to Ada binding home page.
  * patches: removed (applied upstream).
  * rules: installed upstream changelog.
  * watch: used Ada tarball instead of whole ncurses source.
  * control: updated Standards-Version without changes.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 22 Apr 2011 17:18:04 +0200

libncursesada (5.8-1) unstable; urgency=low

  * Initial release (Closes: #615920).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 12 Mar 2011 09:04:10 +0100
